summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Derek Noonburg2012-04-15 17:45:38 +0200
committer Erik Hanson2012-04-16 12:35:58 +0200
commita44964fb50a7badfab78b9b112c96fbd8f0826ad (patch)
tree137358a8174531573851a593ed4d16094a5ae760
parent50cf0d54f0ecfa0cf7afd9453380c741567388ff (diff)
downloadslackbuilds-a44964fb50a7badfab78b9b112c96fbd8f0826ad.tar.gz
network/mod_fastcgi: Added (Apache FastCGI module)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--network/mod_fastcgi/README10
-rw-r--r--network/mod_fastcgi/mod_fastcgi.SlackBuild72
-rw-r--r--network/mod_fastcgi/mod_fastcgi.info10
-rw-r--r--network/mod_fastcgi/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/network/mod_fastcgi/README b/network/mod_fastcgi/README
new file mode 100644
index 0000000000..63269f9265
--- /dev/null
+++ b/network/mod_fastcgi/README
@@ -0,0 +1,10 @@
+mod_fastcgi is an Apache module which provides support for the FastCGI
+protocol. FastCGI is a language independent, scalable, open extension
+to CGI that provides high performance and persistence without the
+limitations of server specific APIs.
+
+You will need to add the following line to /etc/httpd/httpd.conf:
+ LoadModule fastcgi_module lib/httpd/modules/mod_fastcgi.so
+
+See /usr/doc/mod_fastcgi-2.4.6/mod_fastcgi.html for configuration
+details.
diff --git a/network/mod_fastcgi/mod_fastcgi.SlackBuild b/network/mod_fastcgi/mod_fastcgi.SlackBuild
new file mode 100644
index 0000000000..59f773e43a
--- /dev/null
+++ b/network/mod_fastcgi/mod_fastcgi.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for mod_fastcgi
+
+# Written by Derek Noonburg (derekn@foolabs.com)
+# 2012-03-12
+# Released into the public domain.
+
+
+PRGNAM=mod_fastcgi
+VERSION=2.4.6
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+# Create target dir
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/httpd/modules
+
+# Compile module as DSO (dynmically shared object)
+CFLAGS="$SLACKFLAGS" apxs -o mod_fastcgi.so -c *.c
+
+# copy into place
+cp -v .libs/mod_fastcgi.so $PKG/usr/lib${LIBDIRSUFFIX}/httpd/modules
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES INSTALL INSTALL.AP2 README docs/LICENSE.TERMS docs/mod_fastcgi.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/mod_fastcgi/mod_fastcgi.info b/network/mod_fastcgi/mod_fastcgi.info
new file mode 100644
index 0000000000..9a0e3cfcad
--- /dev/null
+++ b/network/mod_fastcgi/mod_fastcgi.info
@@ -0,0 +1,10 @@
+PRGNAM="mod_fastcgi"
+VERSION="2.4.6"
+HOMEPAGE="http://www.fastcgi.com/"
+DOWNLOAD="http://www.fastcgi.com/dist/mod_fastcgi-2.4.6.tar.gz"
+MD5SUM="a21a613dd5dacf4c8ad88c8550294fed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Derek Noonburg"
+EMAIL="derekn@foolabs.com"
+APPROVED="dsomero"
diff --git a/network/mod_fastcgi/slack-desc b/network/mod_fastcgi/slack-desc
new file mode 100644
index 0000000000..0673f850fa
--- /dev/null
+++ b/network/mod_fastcgi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mod_fastcgi: mod_fastcgi (Apache FastCGI module)
+mod_fastcgi:
+mod_fastcgi: mod_fastcgi is an Apache module which provides support for the FastCGI
+mod_fastcgi: protocol. FastCGI is a language independent, scalable, open extension
+mod_fastcgi: to CGI that provides high performance and persistence without the
+mod_fastcgi: limitations of server specific APIs.
+mod_fastcgi:
+mod_fastcgi: Homepage: http://www.fastcgi.com/
+mod_fastcgi:
+mod_fastcgi:
+mod_fastcgi: